Opened 11 years ago

Closed 11 years ago

#3390 closed defect (fixed)

[with patch, positive review] update numpy to the 1.1.0 release

Reported by: mabshoff Owned by: mabshoff
Priority: major Milestone: sage-3.1.2
Component: packages: standard Keywords:
Cc: Merged in:
Authors: Reviewers:
Report Upstream: Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Description


Attachments (1)

numpy-1.1.patch (3.8 KB) - added by jason 11 years ago.

Download all attachments as: .zip

Change History (5)

comment:1 Changed 11 years ago by jason

An spkg for this is up at:

http://sage.math.washington.edu/home/jason/numpy-1.1.0.spkg

There are lots of doctest errors stemming I believe from matplotlib referencing things in old locations. See #3392 for the matplotlib upgrading ticket.

Changed 11 years ago by jason

comment:2 Changed 11 years ago by jason

  • Summary changed from update numpy to the 1.1.0 release to [with patch, needs review] update numpy to the 1.1.0 release

comment:3 Changed 11 years ago by mabshoff

  • Summary changed from [with patch, needs review] update numpy to the 1.1.0 release to [with patch, positive review] update numpy to the 1.1.0 release

Spkg looks good to me. I did some cleanups in the patches directory. That spkg is at

http://sage.math.washington.edu/home/mabshoff/release-cycles-3.1.2/alpha1/numpy-1.1.0.p0.spkg

Also positive review for the patch.

Cheers,

Michael

comment:4 Changed 11 years ago by mabshoff

  • Resolution set to fixed
  • Status changed from new to closed

Merged in Sage 3.1.2.alpha1

Note: See TracTickets for help on using tickets.